Subject: FVWM: Re: FVWM-2 WindowList

From: Scary Guy <[email-masked]>
Date: Fri, 7 Jun 1996 06:53:06 -0400 (EDT)

> Scary Guy wrote:
> > would be sequenced in the order in which they were last accessed.  This
> > was very convenient because I had bound some keys to bring up the
> > WindowList and then I could use keystrokes (j or k) to easily go up or
> > down to switch between menus.  So, if I was working between two windows
> > and wanted to toggle between them, all I had to do is bring up the
> > WindowList (i.e. Alt+F1), and then press j-j to switch to the previous
> > window, then enter to select it.
> >
>
> You can get this sort of behaviour using Fvwm2's Next and Prev commands.
> Bind these to, say Alt+Tab (for the windows users out there).
>
> Key Tab         A       M       Prev Focus

Right, but that sort of defeats the original purpose of using WindowList
in the first place: I like to be able to see which window I am
selecting, especially in the case that the window I am selecting is not
the previously selected one.  This helps when a large number of windows
are open.

Thanks                                       
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: James Elson <[email-masked]>
Date: Fri, 07 Jun 1996 11:57:33 +0100

> the previously selected one.  This helps when a large number of windows

Yeah, I guess someone's going to have to write another module for
Fvwm. The Win95 mechanism is pretty good. You hit Alt+Tab, and a
window with all the icons in "most recently visited" order appears.
More presses of Tab (whilst holding down Alt) selects the icon.

Maybe if I have time....

	James